package com.brilliance.isc.swift.objmtconvert.model.mx.common;

/**
 * @author : zxg
 * @data : Created in 2023/4/23
 * @description :
 */

import com.brilliance.isc.swift.objmtconvert.ext.XmlDate;
import com.brilliance.isc.swift.objmtconvert.util.DateUtil;
import lombok.Data;

import java.util.Date;

@Data
public class ReqdExctnDt {

    /**
     * 日期
     */
    private String dt;

    /**
     * 日期时间
     */
    private String dtTm;

    public void setDt(Date dt) {
        this.dt = DateUtil.format(dt,"yyyy-MM-dd");
    }

    public void setDtTm(XmlDate dtTm) {
        this.dtTm = dtTm.getDateStr();
    }

}
